<template>
  <component :is="tag" :class="$style['table-group']" tabindex="-1">
    <slot />
  </component>
</template>

<script lang="ts">
import { defineComponent } from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsTableGroup",

  props: {
    tag: {
      type: String,
      default: "tbody",
      validator: value => value === "thead" || value === "tbody",
    },
  },
});
</script>

<style lang="postcss" module>
.table-group {
  @apply relative;

  &:focus {
    @apply outline-none;
  }
}

thead.table-group {
  @apply z-10 text-sm text-gray-600;
}

tbody.table-group {
  padding-top: 4px;
  scrollbar-width: thin;
  scrollbar-color: #b4b4b4 #f5f5f5;

  @apply block z-0;

  /* Works on Chrome/Edge/Safari */
  &::-webkit-scrollbar {
    width: 0.5rem;
  }
  &::-webkit-scrollbar-track {
    background: #f5f5f5;
  }
  &::-webkit-scrollbar-thumb {
    border: 0;
    border-radius: 0;
    background-color: #b4b4b4;
  }
}
</style>
